.Dd 2016-06-12
.Dt NCI-COURSE-SETTINGS 1
.Os
.Sh NAME
.Nm nci-course-settings
.Nd Edit an existing course in a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Oo 
.Fl d
|
.Oo
.Fl h
|
.Fl H
.Oc
.Oo
.Fl w
|
.Fl W
.Oc
.Oo
.Fl L
.Oc
.Oo
.Fl s
.Ar start-date
.Oc
.Oo
.Fl e
.Ar end-date
.Oc
.Oo
.Fl C
.Ar cutoffs
.Oc
.Oc
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and alters some common settings for the given course.
.Sh OPTIONS
.Pp
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl d
Get and display options, instead of setting them. Mutually exclusive
with any other option
.Pq except Fl c .
.It Fl h Po Fl H Pc
Set
.Ar hide_final_grades
to
.Ar true
.Pq Ar false .
.It Fl w Po Fl W Pc
Set
.Ar apply_assignment_group_weights
to
.Ar true
.Pq Ar false .
.It Fl L
Set
.Ar grading_standard_enabled
.Pq whether letter grades are calculated and displayed
to
.Ar false .
To enable letter grade calculation, use
.Fl C .
This option is mutually exclusive with
.Fl C .
.It Fl s
Set the start date of the course (before this date, the course will be invisible).
.It Fl e
Set the end date of the course (after this date, the course will be invisible).
.It Fl C
Set the cutoffs for letter grade calculation, in the form
.Pp
.Dl Ar letter Ns : Ns Ar minimum-score Ns Oo , Ns Ar letter Ns : Ns Ar minimum-score Ns Oo , Ns Ar letter Ns : Ns Ar minimum-score Ns Oo ... Oc Oc Oc
.Pp
where
.Ar letter
is any string
.Po
not containing 
.Sq \&:
.Pc
and
.Ar minimum-score
is a floating point number between 0 and 100. Omitting a letter grade for
.Qq 0.0
appears to cause Canvas to implicitly use the letter grade with the
lowest minimum. These numbers are only relevant to the course if
.Ar grading_standard_enabled
is 
.Ar true .
This option is mutually exclusive with
.Fl L .
.El
.Sh EXAMPLES
.Dl % nci-course-settings -c 1187637 -w -H -l
.Pp
.Dl % nci-course-settings -c 1187637 -s 2020-08-25T12:00:00 -e 2021-01-09T12:00:00
.Pp
.Dl % nci-course-settings -c 1187637 -C A:93,A+:97,B:80,C:67.7,A-:90
.Pp
.Dl % nci-course-settings -c 1187637 -d
.Dl Hide final grades: false
.Dl Apply assignment group weights: true
.Dl Grading standard enabled: true
.Dl Start date: 2020-08-25T12:00:00
.Dl End date: 2021-01-09T12:00:00
.Dl Letter grades:
.Dl \& \& A+ Bo 97%, \*(If Pc
.Dl \& \& A \& Bo 93%, 97% Pc
.Dl \& \& A- Bo 90%, 93% Pc
.Dl \& \& B \& Bo 80%, 90% Pc
.Dl \& \& C \& Bo 67.7%, 80% Pc
.Dl \& \& F \& Bo 0%, 67.7% Pc
.Sh SEE ALSO
.Xr nci 1
.Xr nci-list-courses 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
